import re

# načtení vstupního textu
with open('15kHz_1740657045.txt') as soubor:
    text = soubor.read()

# příprava regexpové mašiny
pattern = re.compile(r'^\|\s(.*)\n^\|\s<kbd>(.*)</kbd>\n^\|\s.*\s\|\s(.*)\n^\|\s(.*)\n^\|\s(.*)\n^\|\s.*\s\|\s(.*)\n^\|\s(.*)\n^\|\s.*\s\|\s(.*)\n^\|\s.*\s\|\s(.*)\n^\|\s(.*)\n', re.MULTILINE)

for i,match in enumerate(pattern.finditer(text), start=1):
    ...
print(i)    # 459
print(match.groups())
'''
('Zalman', 'Trimon MZ240ED', '?', '?', '?', '?', '?', 'Partial', 'n/a', '([https://goldenchild2.blogspot.com goldenchild]) screen goes blank for a few (5-20) seconds while switching from interlace to non interlace, otherwise fine, recommend using non interlace only')
'''
